package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag204;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT204Creator;

/**
 * @Description：
 * @Author：夏猛
 * @CreateTime：2023/2/27 10:43
 **/
public class TagA20Creator extends AbsTagCreate {

    private MT204Creator mt204Creator;

    public TagA20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt204Creator= (MT204Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt204Creator.getTransactionReferenceNumberA();
        mt204Creator.set("20", tag20Value);
    }
}